
%define name	flash-player-plugin
%define version	9.0.48.0
%define rel	2

%define distsuffix plf

Summary:	Flash Player plugin for browsers
Name:		%name
Version:	%version
Release:	%mkrel %rel
License:	Proprietary
URL:		http://www.adobe.com/products/flashplayer/
Source0:	download-flash-player-plugin.in
Group:		Networking/WWW
ExclusiveArch:	%ix86
Requires:	curl
Requires(post):	curl
# NOTE: if the package becomes available for 64bit, modify these to use mklibname:
# obtained by objdump -x /usr/lib/mozilla/plugins/libflashplayer.so | grep NEEDED
Requires:	libX11.so.6 libXext.so.6 libXt.so.6 libfreetype.so.6 libfontconfig.so.1
Requires:	libgtk-x11-2.0.so.0 libgobject-2.0.so.0 libglib-2.0.so.0
# required for audio:
Requires:	libasound.so.2
#
Conflicts:	FlashPlayer flash-plugin
BuildRoot:	%{_tmppath}/%{name}-root

%description
Adobe Flash Player plugin for browsers.

NOTE: This package does not contain the Flash Player itself. The
software will be automatically downloaded from Adobe during package
installation. Alternatively you can use the command
"download-flash-player-plugin" manually.

Installing this package indicates acceptance of the EULA, available
from http://www.adobe.com/products/eulas/players/flash/.

This package is in PLF because it installs software with non-free
license.

%prep
%setup -c -T

#define tarname	install_flash_player_9_linux.tar.gz
#define srcdir	install_flash_player_9_linux
%define tmd5sum	0d3a1a07c87f5533ee1c8e6993b00c43
%define downurl	http://fpdownload.macromedia.com/get/flashplayer/current/flash-plugin-9.0.48.0-release.i386.rpm
%define tarname flash-plugin-9.0.48.0-release.i386.rpm
%define tartype	rpm
%define srcdir	./usr/lib/flash-plugin

cat > download-flash-player-plugin <<EOF
#!/bin/sh
TARBALLDIR="%{_localstatedir}/%{name}"
FILENAME="%{tarname}"
FILETYPE="%{tartype}"
MD5SUM="%{tmd5sum}"
URL1="%{downurl}"
URL2=""
FILE1_SRC="%srcdir/libflashplayer.so"
FILE1_DST="%{_libdir}/mozilla/plugins/libflashplayer.so"
FILE2_SRC=""
EOF
cat %SOURCE0 >> download-flash-player-plugin

cat >> download-flash-player-plugin <<EOF
if [ "\$(uname -m)" == x86_64 ]; then
	if [ -x %{_bindir}/nspluginwrapper ]; then
		echo "Detected x86_64 with nspluginwrapper, enabling the plugin on 64bit browsers too."
		%{_bindir}/nspluginwrapper -i %{_libdir}/mozilla/plugins/libflashplayer.so
	else
		echo "Install nspluginwrapper if you want to use the plugin with 64bit browsers too."
	fi
fi

%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_localstatedir}/%{name}
install -d -m755 %{buildroot}%{_libdir}/mozilla/plugins
%if %mdkversion < 200800
install -d -m755 %{buildroot}%{_libdir}/opera/plugins
ln -s %{_libdir}/mozilla/plugins/libflashplayer.so %{buildroot}%{_libdir}/opera/plugins/libflashplayer.so
%endif
touch %{buildroot}%{_libdir}/mozilla/plugins/libflashplayer.so
touch %{buildroot}%{_localstatedir}/%{name}/%{tarname}

install -d -m755 %{buildroot}%{_sbindir}
install -m755 download-flash-player-plugin %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

# posttrans so that we can use postun safely without if's :)
%posttrans
%{_sbindir}/download-flash-player-plugin

%postun
if [ -x %{_bindir}/nspluginwrapper ] && [ "$(uname -m)" == x86_64 ] && [ -f %{_prefix}/lib64/mozilla/plugins/npwrapper.libflashplayer.so ]; then
	%{_bindir}/nspluginwrapper -r %{_prefix}/lib64/mozilla/plugins/npwrapper.libflashplayer.so
fi

%files
%defattr(-,root,root)
%{_sbindir}/download-flash-player-plugin
%dir %{_localstatedir}/%{name}
%ghost %{_localstatedir}/%{name}/%{tarname}
%dir %{_libdir}/mozilla
%dir %{_libdir}/mozilla/plugins
%ghost %{_libdir}/mozilla/plugins/libflashplayer.so
%if %mdkversion < 200800
%{_libdir}/opera
%endif

%changelog
* Fri Dec 07 2007 Anssi Hannula <anssi@zarb.org> 9.0.48.0-2plf2008.0
- 9.0.48.0 on -release repositories

* Fri Dec 07 2007 Anssi Hannula <anssi@zarb.org> 9.0.115.0-2plf2008.1
- better error message on md5sum mismatch (#178)
- fix error on upgrade (#178)
- use versioned rpm instead of tarball (#178)

* Thu Dec  6 2007 Götz Waschk <goetz@zarb.org> 9.0.115.0-1plf2008.1
- new version

* Sun Oct 14 2007 Anssi Hannula <anssi@zarb.org> 9.0.64.0-1plf2008.0
- 9.0.64.0 (Colin Guthrie)

* Wed Jul 11 2007 Anssi Hannula <anssi@zarb.org> 9.0.48.0-1plf2008.0
- 9.0.48.0

* Sun Jan 21 2007 Anssi Hannula <anssi@zarb.org> 9.0.31.0-1plf2007.1
- 9.0.31.0

* Tue Nov 21 2006 Götz Waschk <goetz@zarb.org> 9.0.21.78-1plf2007.1
- new version

* Sat Nov 11 2006 Anssi Hannula <anssi@zarb.org> 9.0.21.55-4plf2007.1
- add additional check in postun on x86_64
- use ndiswrapper -i instead of -u on upgrade on x86_64

* Wed Nov 01 2006 Anssi Hannula <anssi@zarb.org> 9.0.21.55-3plf2007.1
- manage nspluginwrapper automatically on x86_64
- add conflicts

* Wed Nov 01 2006 Anssi Hannula <anssi@zarb.org> 9.0.21.55-2plf2007.1
- add manual dependencies

* Wed Nov 01 2006 Anssi Hannula <anssi@zarb.org> 9.0.21.55-1plf2007.1
- initial PLF release
